> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List tags

> List all Tags in the team.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /tags
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /tags:
    get:
      tags:
        - Tags
      summary: List tags
      description: |
        List all Tags in the team.
      operationId: get-tags
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      - id: tag_br3pyBM8YeIyBQGR0rbocVrmJnE
                        type: tags
                        attributes:
                          name: Angrod
                          slug: angrod
                          description: Dolorem vel distinctio et.
                          color: '#141515'
                          team:
                            id: team_RPp3R8oZyjSAGGP7oeMEsR8yPNgo
                            name: 627 Team
                            slug: 627-team
                            description: 627 Team
                            address: 977 Julietta Views, West Ocie, KS 10398-1982
                            status: verified
                            currency:
                              id: cur_AW6Q2D9lqKLpr
                              code: BRL
                              name: Brazilian Real
                              currency_id: null
              schema:
                $ref: '#/components/schemas/custom_tags'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.tags.list()

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Tags.List(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.CustomTags != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.tags.list();

              console.log(result);
            }

            run();
components:
  schemas:
    custom_tags:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/custom_tag_data'
        meta:
          type: object
    custom_tag_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - tags
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the Tag
            slug:
              type: string
              description: Slug of the Tag
            description:
              type: string
              description: Description of the Tag
            color:
              type: string
              description: Color of the Tag
            team:
              $ref: '#/components/schemas/team_include'
    team_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        address:
          type: string
        currency:
          type: object
        status:
          type: string
        feature_flags:
          type: array
          items:
            type: string
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````